#include <stdio.h>
#include "cs461_socket.h"

int cs461_socket (int domain, int type, int protocol)
{
  printf("%s\n", __FUNCTION__);
  return 0;
}

int cs461_connect (int sockfd, struct sockaddr *serv_addr, socklen_t addrlen)
{
  printf("%s\n", __FUNCTION__);
  return 0;
}

int cs461_bind (int sockfd, struct sockaddr *my_addr, socklen_t addrlen)
{
  printf("%s\n", __FUNCTION__);
  return 0;
}

int cs461_listen (int s, int backlog)
{
  printf("%s\n", __FUNCTION__);
  return 0;
}

int cs461_accept (int s, struct sockaddr *addr, socklen_t *addrlen)
{
  printf("%s\n", __FUNCTION__);
  return 0;
}

int cs461_close (int fd)
{
  printf("%s\n", __FUNCTION__);
  return 0;
}

int cs461_shutdown ()
{
  printf("%s\n", __FUNCTION__);
  return 0;
}

ssize_t cs461_read (int fd, void *buf, size_t count)
{
  printf("%s\n", __FUNCTION__);
  return 0;
}

ssize_t cs461_write (int fd, const void *buf, size_t count)
{
  printf("%s\n", __FUNCTION__);
  return 0;
}

